gi-dbusmenu-0.4.14: Dbusmenu bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Dbusmenu.Objects.MenuitemProxy

Contents

- Exported types
- Methods
  - getWrapped
  - new
- Properties
  - menuItem

Description

Public instance data for a `MenuitemProxy`.

Synopsis

- newtype MenuitemProxy = MenuitemProxy (ManagedPtr MenuitemProxy)
- class (GObject o, IsDescendantOf MenuitemProxy o) => IsMenuitemProxy o
- toMenuitemProxy :: (MonadIO m, IsMenuitemProxy o) => o -> m MenuitemProxy
- menuitemProxyGetWrapped :: (HasCallStack, MonadIO m, IsMenuitemProxy a) => a -> m Menuitem
- menuitemProxyNew :: (HasCallStack, MonadIO m, IsMenuitem a) => a -> m MenuitemProxy
- constructMenuitemProxyMenuItem :: (IsMenuitemProxy o, MonadIO m, IsMenuitem a) => a -> m (GValueConstruct o)
- getMenuitemProxyMenuItem :: (MonadIO m, IsMenuitemProxy o) => o -> m (Maybe Menuitem)

# Exported types

newtype MenuitemProxy Source #

Memory-managed wrapper type.

Constructors

MenuitemProxy (ManagedPtr MenuitemProxy) |

#### Instances

Instances details

Eq MenuitemProxy Source # |
Instance details Defined in GI.Dbusmenu.Objects.MenuitemProxy Methods (==) :: MenuitemProxy -> MenuitemProxy -> Bool Source # (/=) :: MenuitemProxy -> MenuitemProxy -> Bool Source #
GObject MenuitemProxy Source # |
Instance details Defined in GI.Dbusmenu.Objects.MenuitemProxy
ManagedPtrNewtype MenuitemProxy Source # |
Instance details Defined in GI.Dbusmenu.Objects.MenuitemProxy Methods toManagedPtr :: MenuitemProxy -> ManagedPtr MenuitemProxy Source #
TypedObject MenuitemProxy Source # |
Instance details Defined in GI.Dbusmenu.Objects.MenuitemProxy Methods glibType :: IO GType Source #
HasParentTypes MenuitemProxy Source # |
Instance details Defined in GI.Dbusmenu.Objects.MenuitemProxy
IsGValue (Maybe MenuitemProxy) Source # | Convert `MenuitemProxy` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Dbusmenu.Objects.MenuitemProxy Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe MenuitemProxy -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe MenuitemProxy) Source #
type ParentTypes MenuitemProxy Source # |
Instance details Defined in GI.Dbusmenu.Objects.MenuitemProxy type ParentTypes MenuitemProxy = '[Menuitem, Object]

class (GObject o, IsDescendantOf MenuitemProxy o) => IsMenuitemProxy o Source #

Type class for types which can be safely cast to `MenuitemProxy`, for instance with `toMenuitemProxy`.

#### Instances

Instances details

(GObject o, IsDescendantOf MenuitemProxy o) => IsMenuitemProxy o Source # |
Instance details Defined in GI.Dbusmenu.Objects.MenuitemProxy

toMenuitemProxy :: (MonadIO m, IsMenuitemProxy o) => o -> m MenuitemProxy Source #

Cast to `MenuitemProxy`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, childAddPosition, childAppend, childDelete, childFind, childPrepend, childReorder, findId, forceFloating, foreach, freezeNotify, getv, handleEvent, isFloating, notify, notifyByPspec, propertiesCopy, propertiesList, propertyExist, propertyGet, propertyGetBool, propertyGetByteArray, propertyGetInt, propertyGetVariant, propertyRemove, propertySet, propertySetBool, propertySetByteArray, propertySetInt, propertySetVariant, ref, refSink, runDispose, sendAboutToShow, showToUser, stealData, stealQdata, takeChildren, thawNotify, unparent, unref, watchClosure.

#### Getters

getChildren, getData, getId, getParent, getPosition, getPositionRealized, getProperty, getQdata, getRoot, getWrapped.

#### Setters

setData, setDataFull, setParent, setProperty, setRoot.

## getWrapped

menuitemProxyGetWrapped Source #

Arguments

:: (HasCallStack, MonadIO m, IsMenuitemProxy a) |
=> a | `pmi`: `MenuitemProxy` to look into
-> m Menuitem | Returns: A `Menuitem` object or a `NULL` if we don't have one or there is an error.

Accesses the private variable of which `Menuitem` we are doing the proxying for.

## new

menuitemProxyNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsMenuitem a) |
=> a | `mi`: The `Menuitem` to proxy
-> m MenuitemProxy | Returns: A new `MenuitemProxy` object.

Builds a new `MenuitemProxy` object that proxies all of the values for `mi`.

# Properties

## menuItem

No description available in the introspection data.

constructMenuitemProxyMenuItem :: (IsMenuitemProxy o, MonadIO m, IsMenuitem a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`menu-item`” property. This is rarely needed directly, but it is used by `new`.

getMenuitemProxyMenuItem :: (MonadIO m, IsMenuitemProxy o) => o -> m (Maybe Menuitem) Source #

Get the value of the “`menu-item`” property. When overloading is enabled, this is equivalent to

    get menuitemProxy #menuItem